This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 840310 - nouveau performance reminds me of red hat linux + vesa
nouveau performance reminds me of red hat linux + vesa
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 13:27 EDT by cornel panceac
Modified: 2013-07-31 17:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 17:52:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (308.37 KB, application/octet-stream)
2012-08-04 03:19 EDT, cornel panceac
no flags Details
xorg log (53.78 KB, application/octet-stream)
2012-08-04 03:19 EDT, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2012-07-15 13:27:19 EDT
Description of problem:
with newest available f17 kernel and nvidia video card, performance is very poor, and 3d is not available. also, reported gpu temperature is above 70 degrees while doing nothing special, since there's no 3d.

Version-Release number of selected component (if applicable):
# uname -r
3.4.4-5.fc17.i686.PAE

$ rpm -q xorg-x11-drv-nouveau 
xorg-x11-drv-nouveau-0.0.16-37.20120306gitf5d1cd2.fc17.i686

$ lspci -nn | grep VGA
02:00.0 VGA compatible controller [0300]: nVidia Corporation G73 [GeForce 7300 GT] [10de:0393] (rev a1)

$ sensors
nouveau-pci-0200
Adapter: PCI adapter
temp1:        +77.0°C  (high = +100.0°C, crit = +120.0°C)

k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp:   +42.0°C  
Core1 Temp:   +42.0°C  

$ ./teapot 
Teapot V1.2
Written by David Bucciarelli (tech.hmw@plus.it)
Frame rate: 70.184169
Frame rate: 62.624252
Frame rate: 60.878245


How reproducible:

always


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Expected results:


Additional info:

have to install nvidia proprietary drivers to save my video card from burning and play things like tuxkart or starcraft 1. talking about starcraft, i remember that the **same** sluggish behaviour i got in rhl7+vesa, on pentium 2 processor and 32 MB of ram. this is dual core amd 64 / 1.8 GHz + 2 GB of ram. Of course the video card of those days was maybe a SIS with 4MB of RAM, the NVIDIA has 1GB afaict.
Unbelievable.

Any help would be greatly appreciated.
Comment 1 Ben Skeggs 2012-08-02 21:48:50 EDT
3D should be available on this chipset, it's likely a configuration (more than likely a side-effect of having the binary driver around at some point) issue if it isn't.

Can you post you dmesg and Xorg.0.log for me please.
Comment 2 cornel panceac 2012-08-04 03:19:10 EDT
Created attachment 602225 [details]
dmesg
Comment 3 cornel panceac 2012-08-04 03:19:39 EDT
Created attachment 602226 [details]
xorg log
Comment 4 cornel panceac 2012-08-04 03:22:02 EDT
Hello Ben,

I've attached the required info. I've aslo added drm.debug and lo.gbuf_len params to the kernel line:

$ cat /proc/cmdline
BOOT_IMAGE=/vmlinuz-3.5.0-2.fc17.i686.PAE root=UUID=18748fc0-abfd-403c-ad5c-1adf27e9d5e8 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 drm.debug=14 log_buf_len=16M

Thank you for your help on this issue.

Regards,
Cornel
Comment 5 Fedora End Of Life 2013-07-03 17:05:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 17:52:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.